Linux dependencies

Issues with installing under all Linux Distributions

Linux dependencies

Postby 000 » Mon Jun 25, 2018 3:00 am

Is there a list somewhere (searched for one but couldn't find it) of shared libraries (ie. dependencies) that the Linux OpenOffice binaries are linked against (so that I know what other programs I have to install in order to run OpenOffice)?

Thank you in advance.
Want to install OpenOffice 4.1.5 on linux
000
 
Posts: 1
Joined: Mon Jun 25, 2018 2:55 am

Re: Linux dependencies

Postby robleyd » Mon Jun 25, 2018 3:29 am

What distribution and version of Linux are you planning on using?

My Slackware, for example, has no dependency issues when installing AOO.
Cheers
David
Apache OpenOffice Developer Build 4.2.0 9820 - Slackware 14.2 - 64 bit
LibreOffice 6.0.7.3 - Slackware 14.2 - 64 bit
Apache OpenOffice 4.1.4 - Windows 7 Virtual machine
User avatar
robleyd
Moderator
 
Posts: 2812
Joined: Mon Aug 19, 2013 3:47 am
Location: Murbko, Australia

Re: Linux dependencies

Postby RoryOF » Mon Jun 25, 2018 9:09 am

My experience, using Xubuntu 18.04, was that I downloaded the deb version from the download page (linked off the OpenOffice icon at bottom right of Forum window). Expand that file, then in a terminal do

Code: Select all   Expand viewCollapse view
sudo apt purge libreoffice*


to remove all traces of LibreOffice. If you do not wish to do this, then read no further.

Then
Code: Select all   Expand viewCollapse view
cd ~/Downloads/en-US/DEBS
sudo dpkg -i *.deb
cd desktop-integration
sudo dpkg -i *.deb


the en-US portion of the directory path may differ according to the language version you downloaded.

I cannot recollect that I had to download anything else to satisfy dependencies.
Apache OpenOffice 4.1.6 on Xubuntu 18.04.2 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29075
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Linux dependencies

Postby KitchM » Tue Jan 08, 2019 7:52 pm

RoryOF, it would be wise to post those instructions in the wiki. It works fine in Xubuntu 16.
KitchM
 
Posts: 46
Joined: Sun Apr 04, 2010 1:27 am

Re: Linux dependencies

Postby Hagar Delest » Tue Jan 08, 2019 11:38 pm

It had been already, perhaps for an older version of OOo.
AOO 4.1.6 on Xubuntu 19.04 and 4.1.5 on Windows 7 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28495
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: Linux dependencies

Postby Afs_Solutions » Fri Mar 01, 2019 9:48 pm

Rory, thank you for clarifying.. That was the procedure I was missing for my installation, as well.
Apache OpenOffice 4.1.6 / Linux kali 4.19.0-kali1-amd64
Afs_Solutions
 
Posts: 1
Joined: Fri Mar 01, 2019 9:43 pm


Return to Linux

Who is online

Users browsing this forum: No registered users and 2 guests